<?php
/* * ********************************************************************
*  ProxmoxVPS Product developed. (27.03.19)
* *
*
*  CREATED BY MODULESGARDEN       ->       http://modulesgarden.com
*  CONTACT                        ->       contact@modulesgarden.com
*
*
* This software is furnished under a license and may be used and copied
* only  in  accordance  with  the  terms  of such  license and with the
* inclusion of the above copyright notice.  This software  or any other
* copies thereof may not be provided or otherwise made available to any
* other person.  No title to and  ownership of the  software is  hereby
* transferred.
*
*
* ******************************************************************** */

namespace ModulesGarden\Servers\ProxmoxCloudVps\App\UI\Admin\Product\Modals;

use ModulesGarden\Servers\ProxmoxCloudVps\App\UI\Admin\Product\Forms\VirtualizationChangeForm;
use ModulesGarden\Servers\ProxmoxCloudVps\Core\UI\Interfaces\AdminArea;
use ModulesGarden\Servers\ProxmoxCloudVps\Core\UI\Widget\Buttons\ModalActionButtons\BaseAcceptButton;
use ModulesGarden\Servers\ProxmoxCloudVps\Core\UI\Widget\Buttons\ModalActionButtons\BaseCancelButton;
use ModulesGarden\Servers\ProxmoxCloudVps\Core\UI\Widget\Modals\ModalConfirmSuccess;

class VirtualizationChangeModal extends ModalConfirmSuccess implements AdminArea
{

    public function initContent()
    {
        $this->initIds('virtualizationChangeModal');
        $this->addForm(new VirtualizationChangeForm());
    }


    protected function initActionButtons()
    {
        if (!empty($this->actionButtons))
        {
            return $this;
        }
        $acceptButton = new BaseAcceptButton;
        $acceptButton->deleteHtmlAttribute('@click');
        $acceptButton->addClass('virtualizationChangeConfirmButton');
        $this->addActionButton($acceptButton);
        $this->addActionButton(new BaseCancelButton);

        return $this;
    }

}